std::_Node_insert_return< _Iterator, _NodeHandle > Struct Template Reference
Containers » Associative » Node handles

`#include <node_handle.h>`

## Public Attributes

bool | inserted
_NodeHandle | node
_Iterator | position

## Detailed Description

template<typename _Iterator, typename _NodeHandle>
struct std::_Node_insert_return< _Iterator, _NodeHandle >

Return type of insert(node_handle&&) on unique maps/sets.

Definition at line 381 of file node_handle.h.

## Member Data Documentation

## inserted

template<typename _Iterator , typename _NodeHandle >

bool std::_Node_insert_return< _Iterator, _NodeHandle >::inserted

Definition at line 384 of file node_handle.h.

## node

template<typename _Iterator , typename _NodeHandle >

_NodeHandle std::_Node_insert_return< _Iterator, _NodeHandle >::node

Definition at line 385 of file node_handle.h.

## position

template<typename _Iterator , typename _NodeHandle >

_Iterator std::_Node_insert_return< _Iterator, _NodeHandle >::position

Definition at line 383 of file node_handle.h.

The documentation for this struct was generated from the following file:

- node_handle.h